package de.samdev.colorrunner.game.renderer;

import com.badlogic.gdx.graphics.Pixmap;
import com.badlogic.gdx.graphics.Pixmap.Format;
import com.badlogic.gdx.graphics.Texture;

public class CRAssets {
	public static Texture TEX_PLAYER_UP;
	public static Texture TEX_PLAYER_RIGHT;
	public static Texture TEX_PLAYER_LEFT;
	public static Texture TEX_PLAYER_DOWN;

	public static Texture TEX_FLOORTILE;

	static {
		{
			Pixmap pixmap = new Pixmap(64, 64, Format.RGBA8888);
			pixmap.setColor(1, 0, 0, 1);
			pixmap.fill();
			TEX_PLAYER_UP = new Texture(pixmap);
		}

		{
			Pixmap pixmap = new Pixmap(64, 64, Format.RGBA8888);
			pixmap.setColor(0, 1, 0, 1);
			pixmap.fill();
			TEX_PLAYER_RIGHT = new Texture(pixmap);
		}

		{
			Pixmap pixmap = new Pixmap(64, 64, Format.RGBA8888);
			pixmap.setColor(0, 0, 1, 1);
			pixmap.fill();
			TEX_PLAYER_DOWN = new Texture(pixmap);
		}

		{
			Pixmap pixmap = new Pixmap(64, 64, Format.RGBA8888);
			pixmap.setColor(1, 1, 0, 1);
			pixmap.fill();
			TEX_PLAYER_LEFT = new Texture(pixmap);
		}

		{
			Pixmap pixmap = new Pixmap(64, 64, Format.RGBA8888);
			pixmap.setColor(1, 1, 1, 1);
			pixmap.fill();
			TEX_FLOORTILE = new Texture(pixmap);
		}
	}
}
